--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: A map of the serialized columns for this model. Keys are column symbols, values are serialization formats (:marshal, :yaml, or :json).
  name: serialization_map
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Module to store the serialized column accessor methods, so they can call be overridden and call super to get the serialization behavior
  name: serialization_module
  rw: RW
class_methods: []

comment: 
constants: []

full_name: Sequel::Plugins::Serialization::ClassMethods
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: inherited
- !ruby/object:RI::MethodSummary 
  name: serialization_format
- !ruby/object:RI::MethodSummary 
  name: serialize_attributes
- !ruby/object:RI::MethodSummary 
  name: serialized_columns
name: ClassMethods
superclass: 
